summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2015-12-09 14:06:08 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2015-12-09 14:06:08 +0100
commit1ec16a977ff9c81da2f1b5046dd077b1b2a004aa (patch)
treec8877e3f3c13384096ed126f5b640c6c3b1ebeb8 /scripts/scan-tools.sh
parent1a15952ef5e253ada29dc65bac16df6047cfc3db (diff)
add some FreeBSD compat fixes
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 17e8c0395..42a4e0a1d 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -46,6 +46,12 @@ case $os in
Linux)
;;
FreeBSD)
+ if ! which gmake >/dev/null 2>&1; then
+ echo You must install GNU make to continue.
+ echo
+ out=1
+ fi
+ clang=1
;;
MirBSD)
;;
@@ -199,9 +205,11 @@ if ! which perl >/dev/null 2>&1; then
fi
if ! which g++ >/dev/null 2>&1; then
- echo "You need a C++ compiler to continue."
- echo
- out=1
+ if ! which clang++ >/dev/null 2>&1; then
+ echo "You need a C++ compiler to continue."
+ echo
+ out=1
+ fi
fi
# always required, but can be provided by host